Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticTypesTypeChooser

- org.codehaus.groovy.classgen.asm.sc.StaticTypesTypeChooser

-     public class StaticTypesTypeChooser
      extends StatementMetaTypeChooser

  A TypeChooser which reads type information from node metadata generated by the static type checker.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public ClassNode` | `resolveType(Expression exp, ClassNode current)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class StatementMetaTypeChooser` | `resolveType`

- - ### Method Detail

    - #### @Override
      public ClassNode resolveType(Expression exp, ClassNode current)